BEGIN ~UBBA0133~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #15365 /* ~I'll not turn away new faces when business has been so slow lately.  If you've need of 

anything, don't hesitate to ask.  ~ */
  IF ~~ THEN REPLY #15366 /* ~It's been a rough journey to get here.  What do you have to ease our spirits?~ 

*/ DO ~StartStore("tav0133",LastTalkedToBy())
~ EXIT
  IF ~~ THEN REPLY #15367 /* ~I need nothing or the moment, though your offer is appreciated.~ */ DO ~~ EXIT
END

BEGIN ~UBMERCH~
IF WEIGHT #2
~True()
~ THEN BEGIN 0 // from:
  SAY #3629 /* ~Hey there, you look like the adventurin' type.  So, do ya need some new equipment?  My prices 

might seem a little steep, but with the iron shortage and all that, there ain't nothin'  I can do about it.~ 

*/
  IF ~~ THEN REPLY #15290 /* ~Show us your wares.~ */ DO ~StartStore("sto4907",LastTalkedToBy())~ EXIT
  IF ~~ THEN REPLY #15291 /* ~We don't need anything today.~ */ DO ~~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 1 // from:
  SAY #6298 /* ~I've heard a lot of stuff lately.  Iron seems to be hard to come by, what with the bandits and 

the faulty Nashkel ore.  Trouble seems to be brewing betwen Baldur's Gate and Amn.  I wouldn't be too 

surprised if a war broke out between the two.~ */
  IF ~~ THEN JOURNAL #7082 /* ~When I charmed a merchant, he said some vague things about iron shortages, 

bandits and war.~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY #9165 /* ~I wouldn't trust you as far as I can spit!~ */
  IF ~~ THEN EXIT
END

REPLACE_ACTION_TEXT ALVAHE
  ~StartStore("Tem4802",LastTalkedToBy())~
  ~StartStore("TEM4003",LastTalkedToBy(Myself))~
  
REPLACE_ACTION_TEXT SHOP06
  ~StartStore("sto1115",LastTalkedToBy())~
  ~StartStore("UBSTO01",LastTalkedToBy(Myself))~

REPLACE_ACTION_TEXT SHOP07
  ~StartStore("sto1115",LastTalkedToBy())~
  ~StartStore("UBSTO02",LastTalkedToBy(Myself))~

REPLACE_ACTION_TEXT SHOP08
  ~StartStore("sto1115",LastTalkedToBy())~
  ~StartStore("UBSTO03",LastTalkedToBy(Myself))~
